@mixin border-radius($n) {
	-webkit-border-radius: $n;
	-moz-border-radius: $n;
	border-radius: $n;
}

.n-input {
	width: 100%;
	.n-input-box {
		display: flex;
		align-items: center;
		height: 40px;
		border: 1px solid #cccccc;
		@include border-radius(25px);
		padding: 0 14px;

		input {
			height: 100%;
			outline: none;
			flex: 1 1 auto;
			margin: 0;
			font-size: 16px;
			//color: dark;
		}

		input[type=number] {
			-moz-appearance: textfield;

			&::-webkit-inner-spin-button,
			&::-webkit-inner-spin-button {
				-webkit-appearance: none;
			}
		}
	}
}

.n-icon {
	line-height: 1;

	&.n-usd,
	&.n-arrow{
		display: inline-flex;
		width: 16px;
		height: 16px;
	}

	&.n-usd {
		font-size: 20px;
		color: #ef4b4c;
		margin-right: 15px;
		font-style: normal;
		margin-top: -5px;
	}

	&.n-arrow {
		height: 24px;
		display: block;

		i {
			display: block;
			width: 100%;
			height: 50%;
			background-image: url('../../assets/images/n-ui/arrow.png');
			background-repeat: no-repeat;
		}

		.n-arrow-up {
			background-position: top center;

			&:hover {
				opacity: .8;
			}
		}

		.n-arrow-down {
			background-position: bottom center;

			&:hover {
				opacity: .8;
			}
		}
	}
}
